/* FreeS/WAN config file parser (parser.h)
 * Copyright (C) 2001-2002 Mathieu Lafon - Arkoon Network Security
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * RCSID $Id: parser.h,v 1.2 2002/09/03 18:06:03 mathieu Exp $
 */

#ifndef _IPSEC_PARSER_H_
#define _IPSEC_PARSER_H_

struct kw_list {
	char *name;
	char *value;
	struct kw_list *next;
};

struct section_list {
	char *name;
	struct kw_list *kw;
	struct section_list *next;
};

struct config_parsed {
	struct kw_list *config_setup;
	struct section_list *conn_first, *conn_last;
};

struct config_parsed *parser_load_conf (const char *file, char **perr);
void parser_free_conf (struct config_parsed *cfg);

#endif /* _IPSEC_PARSER_H_ */

